clang 8.0.0

Namespaces | Typedefs | Functions
PlistSupport.h File Reference
`#include "clang/Basic/LLVM.h"`
`#include "clang/Basic/SourceLocation.h"`
`#include "clang/Basic/SourceManager.h"`
`#include "llvm/ADT/DenseMap.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <cassert>`
`#include <cstdint>`
Include dependency graph for PlistSupport.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::markup

## Typedefs
using | clang::markup::FIDMap = llvm::DenseMap< FileID, unsigned >

## Functions
unsigned | clang::markup::AddFID (FIDMap &FIDs, SmallVectorImpl< FileID > &V, FileID FID)
unsigned | clang::markup::AddFID (FIDMap &FIDs, SmallVectorImpl< FileID > &V, const SourceManager &SM, SourceLocation L)
unsigned | clang::markup::GetFID (const FIDMap &FIDs, FileID FID)
unsigned | clang::markup::GetFID (const FIDMap &FIDs, const SourceManager &SM, SourceLocation L)
raw_ostream & | clang::markup::Indent (raw_ostream &o, const unsigned indent)
raw_ostream & | clang::markup::EmitPlistHeader (raw_ostream &o)
raw_ostream & | clang::markup::EmitInteger (raw_ostream &o, int64_t value)
raw_ostream & | clang::markup::EmitString (raw_ostream &o, StringRef s)
void | clang::markup::EmitLocation (raw_ostream &o, const SourceManager &SM, SourceLocation L, const FIDMap &FM, unsigned indent)
void | clang::markup::EmitRange (raw_ostream &o, const SourceManager &SM, CharSourceRange R, const FIDMap &FM, unsigned indent)